Bug 823782 - Migrating from EL5 to EL6 gives schema upgrade needed message
Migrating from EL5 to EL6 gives schema upgrade needed message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
550
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Dimitar Yordanov
:
Depends On:
Blocks: sat550-post-ga/sat550-test-blockers sat550-upgrades
  Show dependency treegraph
 
Reported: 2012-05-22 03:11 EDT by Jan Pazdziora
Modified: 2012-10-02 06:54 EDT (History)
5 users (show)

See Also:
Fixed In Version: spacewalk-schema-1.7.55-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 812453
Environment:
Last Closed: 2012-10-02 06:54:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2012-05-22 03:11:06 EDT
+++ This bug was initially created as a clone of Bug #812453 +++

Description of problem:
We recently migrated (rebuilt) the OS from 5.8 to 6.2, and when connecting the new install to the database the login page gives the warning:
"A schema upgrade is required. Please upgrade your schema at your earliest convenience to receive latest bugfixes and avoid potential problems."

The previous OS had spacewalk fully up to date so during the migration there was no need to upgrade the schema for spacewalk.

However when I run spacewalk-schema-upgrade this is the output:
"Schema upgrade: [spacewalk-schema-1.7.55-1.el5] -> [spacewalk-schema-1.7.55-1.el6]
Your database schema already matches the schema package version [spacewalk-schema-1.7.55-1]."

Version-Release number of selected component (if applicable):
OS with all updates + Spacewalk 1.7

Steps to Reproduce:
1. Install on EL5 based release
2. Migrate to EL6 based release
3. Browse to login page
  
Actual results:
Error message is displayed, and schema upgrade says already up to date.

Expected results:
No error message, or schema upgrade changes schema version from el5 to el6

Additional info:
I suspect that this problem might fix itself once there is another update to spacewalk that changes the schema.

We have been running like this for a little while now and I haven't found any issues that could be related to DB schema issues, so I assume the el5/el6 label shouldn't actually have any affect on the system.

Note You need to log in before you can comment on or make changes to this bug.